action.hpp File Reference

## Classes

struct | ranges::v3::action::action< Action >
struct | ranges::v3::action::action_access
struct | ranges::v3::action::action_access::impl< Action >
struct | ranges::v3::action::make_action_fn

## Functions

template<typename Rng , typename Action , requires = (is_pipeable<Action>() && Range<Rng &>() && Invocable<bitwise_or, ref_t<Rng &>, Action &>() && Same<ref_t<Rng &>, result_of_t<bitwise_or(ref_t<Rng &> &&, Action &)>>())>
Rng & | ranges::v3::action::operator|= (Rng &rng, Action &&action)